org.eclipse.rdf4j.query.algebra.evaluation.impl

## Class TupleFunctionEvaluationStatistics.TupleFunctionCardinalityCalculator

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<RuntimeException>
  - - org.eclipse.rdf4j.query.algebra.evaluation.impl.EvaluationStatistics.CardinalityCalculator
    - - org.eclipse.rdf4j.query.algebra.evaluation.impl.TupleFunctionEvaluationStatistics.TupleFunctionCardinalityCalculator

- All Implemented Interfaces:
    QueryModelVisitor<RuntimeException>
  Enclosing class:
    TupleFunctionEvaluationStatistics

      protected static class TupleFunctionEvaluationStatistics.TupleFunctionCardinalityCalculator
      extends EvaluationStatistics.CardinalityCalculator

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.EvaluationStatistics.CardinalityCalculator

      `cardinality`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TupleFunctionCardinalityCalculator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `meetNode(QueryModelNode node)` Method called by all of the other `meet` methods that are not overridden in subclasses.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.EvaluationStatistics.CardinalityCalculator

      `countConstantVars, getCardinality, getCardinality, getCardinality, getCardinality, getContextCardinality, getContextCardinality, getObjectCardinality, getObjectCardinality, getPredicateCardinality, getPredicateCardinality, getSubjectCardinality, getSubjectCardinality, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetExternalSet, meetUnaryTupleOperator`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetOther, meetSubQueryValueOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TupleFunctionCardinalityCalculator

          protected TupleFunctionCardinalityCalculator()

  - ### Method Detail

    - #### meetNode

          protected void meetNode(QueryModelNode node)

      Description copied from class: `AbstractQueryModelVisitor`
      Method called by all of the other `meet` methods that are not overridden in subclasses. This method can be overridden in subclasses to define default behaviour when visiting nodes. The default behaviour of this method is to visit the node's children.
      Overrides:
        `meetNode` in class `EvaluationStatistics.CardinalityCalculator`
      Parameters:
        `node` - The node that is being visited.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.